Modify

Opened 6 years ago

Closed 6 years ago

#10427 closed defect (worksforme)

Unrecognized [option 'remote-cert-tls' 'server'] crashes luci openvpn app

Reported by: wuchi@… Owned by:
Priority: normal Milestone: Backfire 10.03.1
Component: luci Version: Backfire 10.03
Keywords: remote-cert-tls openvpn luci Cc:

Description

When using OpenVPN and set it up as a client, you might want to harden up security a bit by adding the option 'remote-cert-tls' 'server' to ensure the certificate is a server-only certificate, see http://openvpn.net/index.php/open-source/documentation/howto.html#mitm for more info.

However, adding such an option to /etc/config/openvpn and calling cgi-bin/luci/[foo..]/services/openvpn refuses to load and throws an error (attached), which might inidcate this option is not parsed correctly or does not exist.

Attachments (1)

openwrt-luci-openvpn-err.txt (252 bytes) - added by wuchi@… 6 years ago.
LUCI error when calling openvpn main via http

Download all attachments as: .zip

Change History (2)

Changed 6 years ago by wuchi@…

LUCI error when calling openvpn main via http

comment:1 Changed 6 years ago by jow

  • Resolution set to worksforme
  • Status changed from new to closed

Options with hyphens are invalid uci syntax, use underscores. It is neither a LuCI nor an OpenWrt bug.

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.